<?php
namespace ypl;
require_once(dirname(__FILE__).'/Poll.php');

class ClassicPoll extends Poll {
    public function metaboxes() {
        add_action('yplAdditionalMetaboxes', array($this, 'additionalMetaboxes'), 100, 1);
    }

    public function additionalMetaboxes($metaboxes) {
        $metaboxes['yplOtherConditionsMetaBoxView'] = array(
            'key' => 'yplOtherConditionsMetaBoxView',
            'displayName' => 'Main Settings',
            'filePath' => YPL_VIEWS_PATH.'classic/main.php',
            'priority' => 'high'
        );

        return $metaboxes;
    }
    public function setExtraOptions() {

    }

    private function getFormContent() {
        $answers = $this->getOptionValue('ypl-classic-answer');
        $id = $this->getId();
        $idKey = 'ypl-form-'.$id;
        ob_start();
        foreach ($answers as $key => $answer) {
            $uniqKey = $idKey.= '-'.$answer;
            ?>
                <div>
                    <input type="radio" id="<?php echo $uniqKey; ?>" class="ypl-answer" name="ypl-answer" value="<?php echo $answer; ?>">
                    <label for="<?php echo $uniqKey; ?>"><?php echo $answer; ?></label>
                </div>
            <?php
        }
        $content = ob_get_contents();
        ob_end_clean();
        $content .= $this->getStyles();

        return $content;
    }

    private function getStyles() {
        $id = $this->getId();
        $align = $this->getOptionValue('ypl-poll-alignment');

        $styles = '<style>';
        $styles .= '.poll-content-wrapper-'.$id.' {';
        $styles .= 'text-align: '.$align.' !important';
        $styles .= '}';
        $styles .= '</style>';

        return $styles;
    }

    private function enqueData() {
        wp_register_script('YplClassic', YPL_FRONT_JS_URL.'YplClassic.js', array(), YPL_VERSION);
        wp_localize_script('YplClassic', 'YPL_DATA',
            array(
                'ajaxUrl' => admin_url('admin-ajax.php'),
                'nonce' => wp_create_nonce('ypl_ajax_nonce'))
        );
        wp_enqueue_script('YplClassic');
        $this->enequeGeneralData();
    }

    public function getPollQuestion() {
        $question = $this->getOptionValue('ypl-classic-question');
        return '<p>'.$question.'</p>';
    }

    public function getViewForm() {
        $this->enqueData();
        $formHeader = $this->getFormHeader();
        $formFooter = $this->getFormFooter();
        $form = $formHeader;
        $form .= $this->getFormContent();
        $form .= $formFooter;

        return $form;
    }
}